# uddi2__delete_USCOREservice Class Reference

Schema urn:uddi-org:api_v2:"delete_service". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions

| uddi2__delete_USCOREservice (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__delete_USCOREservice (struct soap *, const char *serviceKey)
| Member declared in uddi2-typemap.dat.
| uddi2__delete_USCOREservice (struct soap *, std::vector< char * > serviceKeys)
| Member declared in uddi2-typemap.dat.
uddi2__dispositionReport * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat.

## Public Attributes

char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo.
std::vector< uddi2__serviceKey > | serviceKey
| Vector of uddi2__serviceKey with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"delete_service".

Represents a request to delete a service that meets the specified requirements.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137735

## Constructor & Destructor Documentation

uddi2__delete_USCOREservice::uddi2__delete_USCOREservice | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters:

  `[in]` | soap | gSOAP context

Creates an instance of the delete_USCOREservice class.

uddi2__delete_USCOREservice::uddi2__delete_USCOREservice | ( | struct soap * | soap,
|  | const char * | serviceKey
| ) |

Member declared in uddi2-typemap.dat.

Parameters:

  `[in]` | soap | gSOAP context
  `[in]` | serviceKey | a service key string

Creates an instance of the delete_USCOREservice class using the specified service key.

uddi2__delete_USCOREservice::uddi2__delete_USCOREservice | ( | struct soap * | soap,
|  | std::vector< char * > | serviceKeys
| ) |

Member declared in uddi2-typemap.dat.

Parameters:

  `[in]` | soap | gSOAP context
  `[in]` | serviceKeys | collection of service keys

Creates an instance of the delete_USCOREservice class using the specified service keys.

## Member Function Documentation

uddi2__dispositionReport * uddi2__delete_USCOREservice::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |

Member declared in uddi2-typemap.dat.

Parameters:

  `[in]` | endpoint | URL of the UDDI server
  `[in]` | authInfo | authorization token provided by the UDDI server

Returns:
  A pointer to a uddi2__dispositionReport object or NULL on error

Send a request to a UDDI service to delete a service that meets the specified requirements.

## Member Data Documentation

char* uddi2__delete_USCOREservice::authInfo

| Element reference "urn:uddi-org:api_v2":authInfo. Required element

char* uddi2__delete_USCOREservice::generic

| Attribute generic of type xs:string. Required attribute

std::vector<uddi2__serviceKey > uddi2__delete_USCOREservice::serviceKey

| Vector of uddi2__serviceKey with length 0..unbounded.

struct soap* uddi2__delete_USCOREservice::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h